# task_base.hpp File Reference

`#include <saga/saga/util.hpp>`
`#include <boost/mpl/has_xxx.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::attributes
## Classes
struct | saga::task_base
| Brief description starts here. More...
## Variables
char const *const | saga::attributes::task_state_unknown = "Unknown"
char const *const | saga::attributes::task_state_new = "New"
char const *const | saga::attributes::task_state_running = "Running"
char const *const | saga::attributes::task_state_done = "Done"
char const *const | saga::attributes::task_state_canceled = "Canceled"
char const *const | saga::attributes::task_state_failed = "Failed"